<form class="login100-form" (ngSubmit)="login()" autocomplete="off" [formGroup]="miFormulario">

  <span class="login100-form-title p-b-49">
      Login
  </span>

  <div class="wrap-input100 m-b-23">
      <span class="label-input100">Email</span>
      <input class="input100"
             type="email"
             name="email"
             formControlName="email"
             placeholder="Ingrese su email">
             <span class="text-danger" *ngIf="campoNoValido('email')">Debe Ingresar un email válido</span>
             <span class="focus-input100"></span>
  </div>

  <div class="wrap-input100">
      <span class="label-input100">Password</span>
      <input class="input100"
             type="password"
             name="password"
             formControlName="password"
             placeholder="Ingrese su contraseña">
      <span *ngIf="campoNoValido('password')" class="text-danger">Debe Ingresar una contraseña válido</span>
      <span class="focus-input100"></span>
  </div>

  <div class="text-right p-t-8 p-b-31"></div>

  <div class="container-login100-form-btn">
      <div class="wrap-login100-form-btn">
          <div class="login100-form-bgbtn"></div>
          <button class="login100-form-btn" [disabled]="miFormulario.invalid" type="submit">
              Login
          </button>
      </div>
  </div>

  <div class="flex-col-c p-t-60">
      <span class="txt1 p-b-17">
          ¿No tienes cuenta?
      </span>

      <a routerLink="/auth/register" class="txt2">
          Crear una aquí
      </a>
  </div>
</form>
